import { j as a } from "../../node_modules/react/jsx-runtime.js";
import * as m from "react";
import { cn as s } from "../../utils/index.js";
import { Label as i } from "../Label/index.js";
const d = ({
  className: e,
  ...r
}) => /* @__PURE__ */ a.jsx("div", { className: s("space-y-2", e), ...r }), c = m.forwardRef(({ className: e, variant: r, ...t }, o) => /* @__PURE__ */ a.jsx(
  i,
  {
    ref: o,
    className: s(
      r === "error" && "text-interaction-critical-default",
      e
    ),
    ...t
  }
));
c.displayName = "FormLabel";
const n = m.forwardRef(({ className: e, ...r }, t) => /* @__PURE__ */ a.jsx(
  "p",
  {
    ref: t,
    className: s("text-xs text-content-secondary", e),
    ...r
  }
));
n.displayName = "FormDescription";
const l = m.forwardRef(({ className: e, children: r, ...t }, o) => r ? /* @__PURE__ */ a.jsx(
  "p",
  {
    ref: o,
    className: s("text-xs text-interaction-critical-default", e),
    ...t,
    children: r
  }
) : null);
l.displayName = "FormMessage";
export {
  n as FormDescription,
  d as FormField,
  c as FormLabel,
  l as FormMessage
};
